# ALCcontext (LWJGL API)
Date: 2015-07-28

## org.lwjgl.openal
Class ALCcontext

    java.lang.Object
      org.lwjgl.openal.ALCcontext

    public final class ALCcontext

extends java.lang.Object

The ALCcontext class represents a context opened in OpenAL space. All operations of the AL core API affect a current AL context. Within the scope of AL, the ALC is implied - it is not visible as a handle or function parameter. Only one AL Context per process can be current at a time. Applications maintaining multiple AL Contexts, whether threaded or not, have to set the current context accordingly. Applications can have multiple threads that share one more or contexts. In other words, AL and ALC are threadsafe.

Version:
  $Revision$ $Id$
Author:
  Brian Matzon <brian@matzon.dk>

Method Summary
`boolean` `equals(java.lang.Object context)`
`boolean` `isValid()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object context)

  Overrides:
    `equals` in class `java.lang.Object`

### isValid

    public boolean isValid()

  Returns:
    true if this context is still valid

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.